{"openapi":"3.0.0","info":{"description":"This is the API of 247 IT Group B.V.","version":"v101","title":"247 API"},"security":[{"basicAuth":[]}],"servers":[{"url":"https://{yourenv}.{hostingenv}.247api.net/v101","variables":{"yourenv":{"default":"customer","description":"Every customer has one or more (production and/or sandbox) environments. The name of the environment must be entered here. You can request your environment name from your application manager or 247.+"},"hostingenv":{"default":"prod01","description":"247 offers multiple hosting environments. The development, sandbox and production environments are separated."}}}],"tags":[{"name":"articles"},{"name":"salesorders"},{"name":"contacts"}],"paths":{"/articles":{"get":{"tags":["articles"],"summary":"List articles","description":"Check the [comprehensive overview](https://247dynamicsbv.freshservice.com/support/solutions/articles/51000065034).","operationId":"getArticles","parameters":[{"in":"query","name":"dataset","schema":{"type":"string"},"description":"The fields you see depend on the chosen dataset (and your environmental functions and rights). If you do not specify a data set, the 'default' data set will be used."},{"in":"query","name":"include","schema":{"type":"string"},"description":"Names of fields you want to display next to the chosen data set. You can specify multiple fields comma-separated."},{"in":"query","name":"exclude","schema":{"type":"string"},"description":"Names of fields you do not want to display. You can specify multiple fields comma-separated."},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Results are paginated. This parameter specifies the page you want to see."},{"in":"query","name":"per_page","schema":{"type":"integer"},"description":"The number of records you want to see per page. There is a maximum depending on the chosen endpoint. If you specify more than the maximum, the maximum will be used."},{"in":"query","name":"orderby","schema":{"type":"string"},"description":"The name of the field you want to order by."},{"in":"query","name":"sortmethod","schema":{"type":"string"},"description":"You can choose ASC or DESC, any other value will be ignored."},{"in":"query","name":"filter","schema":{"type":"string"},"description":"You can choose ASC or DESC, any other value will be ignored."}],"responses":{"200":{"description":"Okay.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/list"},{"$ref":"#/components/schemas/list_articles"}]}}}},"400":{"description":"Bad Request."}}},"post":{"tags":["articles"],"summary":"Add an article","operationId":"postArticle","parameters":[{"in":"query","name":"dataset","schema":{"type":"string"},"description":"The fields you see depend on the chosen dataset (and your environmental functions and rights). If you do not specify a data set, the 'default' data set will be used."},{"in":"query","name":"include","schema":{"type":"string"},"description":"Names of fields you want to display next to the chosen data set. You can specify multiple fields comma-separated."},{"in":"query","name":"exclude","schema":{"type":"string"},"description":"Names of fields you do not want to display. You can specify multiple fields comma-separated."}],"responses":{"200":{"description":"Okay.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/articles"}}}}},"400":{"description":"Bad Request."}},"requestBody":{"$ref":"#/components/requestBodies/articles"}}},"/articles/{sku}":{"get":{"tags":["articles"],"summary":"View an article","operationId":"getArticle","parameters":[{"in":"query","name":"dataset","schema":{"type":"string"},"description":"The fields you see depend on the chosen dataset (and your environmental functions and rights). If you do not specify a data set, the 'default' data set will be used."},{"in":"query","name":"include","schema":{"type":"string"},"description":"Names of fields you want to display next to the chosen data set. You can specify multiple fields comma-separated."},{"in":"query","name":"exclude","schema":{"type":"string"},"description":"Names of fields you do not want to display. You can specify multiple fields comma-separated."},{"in":"path","name":"sku","schema":{"type":"string"},"required":true,"description":"sku of article to return"}],"responses":{"200":{"description":"Okay.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/view"},{"$ref":"#/components/schemas/view_articles"}]}}}},"400":{"description":"Bad Request."}}},"put":{"tags":["articles"],"summary":"Update an article","operationId":"putArticle","parameters":[{"in":"query","name":"dataset","schema":{"type":"string"},"description":"The fields you see depend on the chosen dataset (and your environmental functions and rights). If you do not specify a data set, the 'default' data set will be used."},{"in":"query","name":"include","schema":{"type":"string"},"description":"Names of fields you want to display next to the chosen data set. You can specify multiple fields comma-separated."},{"in":"query","name":"exclude","schema":{"type":"string"},"description":"Names of fields you do not want to display. You can specify multiple fields comma-separated."},{"in":"path","name":"sku","schema":{"type":"string"},"required":true,"description":"sku of article that needs to be updated."}],"responses":{"200":{"description":"Okay.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/articles"}}}}},"400":{"description":"Bad Request."}},"requestBody":{"$ref":"#/components/requestBodies/articles"}}},"/salesorders":{"get":{"tags":["salesorders"],"summary":"List salesorders","operationId":"getSalesorders","parameters":[{"in":"query","name":"dataset","schema":{"type":"string"},"description":"The fields you see depend on the chosen dataset (and your environmental functions and rights). If you do not specify a data set, the 'default' data set will be used."},{"in":"query","name":"include","schema":{"type":"string"},"description":"Names of fields you want to display next to the chosen data set. You can specify multiple fields comma-separated."},{"in":"query","name":"exclude","schema":{"type":"string"},"description":"Names of fields you do not want to display. You can specify multiple fields comma-separated."},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Results are paginated. This parameter specifies the page you want to see."},{"in":"query","name":"per_page","schema":{"type":"integer"},"description":"The number of records you want to see per page. There is a maximum depending on the chosen endpoint. If you specify more than the maximum, the maximum will be used."},{"in":"query","name":"orderby","schema":{"type":"string"},"description":"The name of the field you want to order by."},{"in":"query","name":"sortmethod","schema":{"type":"string"},"description":"You can choose ASC or DESC, any other value will be ignored."},{"in":"query","name":"filter","schema":{"type":"string"},"description":"You can choose ASC or DESC, any other value will be ignored."}],"responses":{"200":{"description":"Okay.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/list"},{"$ref":"#/components/schemas/list_salesorders"}]}}}},"400":{"description":"Bad Request."}}}},"/contacts/{number}":{"get":{"tags":["contacts"],"summary":"View a contact","operationId":"getContact","parameters":[{"in":"query","name":"dataset","schema":{"type":"string"},"description":"The fields you see depend on the chosen dataset (and your environmental functions and rights). If you do not specify a data set, the 'default' data set will be used."},{"in":"query","name":"include","schema":{"type":"string"},"description":"Names of fields you want to display next to the chosen data set. You can specify multiple fields comma-separated."},{"in":"query","name":"exclude","schema":{"type":"string"},"description":"Names of fields you do not want to display. You can specify multiple fields comma-separated."},{"in":"path","name":"number","schema":{"type":"integer"},"required":true,"description":"number of contact to return"}],"responses":{"200":{"description":"Okay.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/view"},{"$ref":"#/components/schemas/view_contacts"}]}}}},"400":{"description":"Bad Request."}}}},"/contacts":{"get":{"tags":["contacts"],"summary":"List contacts","operationId":"getContacts","parameters":[{"in":"query","name":"dataset","schema":{"type":"string"},"description":"The fields you see depend on the chosen dataset (and your environmental functions and rights). If you do not specify a data set, the 'default' data set will be used."},{"in":"query","name":"include","schema":{"type":"string"},"description":"Names of fields you want to display next to the chosen data set. You can specify multiple fields comma-separated."},{"in":"query","name":"exclude","schema":{"type":"string"},"description":"Names of fields you do not want to display. You can specify multiple fields comma-separated."},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Results are paginated. This parameter specifies the page you want to see."},{"in":"query","name":"per_page","schema":{"type":"integer"},"description":"The number of records you want to see per page. There is a maximum depending on the chosen endpoint. If you specify more than the maximum, the maximum will be used."},{"in":"query","name":"orderby","schema":{"type":"string"},"description":"The name of the field you want to order by."},{"in":"query","name":"sortmethod","schema":{"type":"string"},"description":"You can choose ASC or DESC, any other value will be ignored."},{"in":"query","name":"filter","schema":{"type":"string"},"description":"You can choose ASC or DESC, any other value will be ignored."}],"responses":{"200":{"description":"Okay.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/list"},{"$ref":"#/components/schemas/list_contacts"}]}}}},"400":{"description":"Bad Request."}}}}},"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"list_articles":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/articles"}}}},"view_articles":{"type":"object","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/articles"}]}}},"list_salesorders":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/salesorders"}}}},"view_contacts":{"type":"object","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/contacts"}]}}},"list_contacts":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/contacts"}}}},"articles":{"type":"object","properties":{"id":{"readOnly":true,"example":"89561"},"isactive":{"example":"true"},"issystem":{"readOnly":true,"example":"false"},"sku":{"minLength":3,"maxLength":20,"example":"BULLDOG001"},"brand":{"minLength":3,"maxLength":20,"example":"MYBRAND"},"owner":{"minLength":3,"maxLength":20,"example":"MYCOMPANY"},"description":{"minLength":3,"maxLength":100,"example":"Wall painting of a bulldog."},"type":{"minLength":3,"maxLength":20,"example":"STANDARD"},"kind":{"minLength":3,"maxLength":20},"vat_rate_group":{"minLength":1,"maxLength":20,"example":"HIGH"},"packaging_type":{"minLength":3,"maxLength":20,"example":"BOX-XL"},"default_supplier":{"minLength":3,"maxLength":20,"example":"ARTIST-INC"},"country_of_orgin":{"minLength":2,"maxLength":3,"example":"NL"},"commodity_code":{"example":"635"},"sellable":{"example":"true"},"codes":{"items":{"$ref":"#/components/schemas/article_codes"}},"assortments":{"items":{"$ref":"#/components/schemas/article_assortments"}},"categories":{"items":{"$ref":"#/components/schemas/article_categories"}},"measures":{"items":{"$ref":"#/components/schemas/article_measures"}},"aliases":{"items":{"$ref":"#/components/schemas/article_aliases"}}},"required":["sku","brand","owner","description","type","kind","vat_rate_group","default_supplier","sellable"]},"article_categories":{"type":"object","properties":{"id":{"readOnly":true,"example":"1"},"code":{"minLength":2,"maxLength":20,"example":"DEFAULT"}},"required":["code"]},"article_aliases":{"type":"object","properties":{"id":{"readOnly":true,"example":"1"},"language":{"minLength":2,"maxLength":20,"example":"NL"},"department":{"minLength":2,"maxLength":20,"example":"DEP01"},"company":{"minLength":2,"maxLength":20,"example":"CMP01"},"description":{"minLength":2,"maxLength":100,"example":"Een schilderij van een bulldog."}},"required":["description"]},"article_measures":{"type":"object","properties":{"id":{"readOnly":true,"example":"1"},"type":{"minLength":2,"maxLength":20,"example":"PACKAGE"},"height":{"example":"100"},"length":{"example":"200"},"volume":{"example":"300"},"width":{"example":"400"},"weight":{"example":"5.5"}},"required":["type","height","length","volume","width","weight"]},"article_assortments":{"type":"object","properties":{"id":{"readOnly":true,"example":"3"},"code":{"minLength":2,"maxLength":20,"example":"DEFAULT"}},"required":["code"]},"article_codes":{"type":"object","properties":{"id":{"readOnly":true,"example":"7"},"code":{"minLength":2,"maxLength":20,"example":"CODE001"},"isactive":{"example":"true"},"issystem":{"readOnly":true,"example":"false"}},"required":["code"]},"salesorders":{"type":"object","properties":{"id":{"readOnly":true,"example":"3"},"number":{"readOnly":true,"minLength":2,"maxLength":20,"example":"10001"},"code":{"minLength":2,"maxLength":20,"example":"CODE001"},"sellfrom":{"minLength":2,"maxLength":20,"example":"247ITG"},"sellfrom_address":{"$ref":"#/components/schemas/salesorders_adresses"},"sellto":{"minLength":2,"maxLength":20,"example":"247ITG"},"sellto_address":{"$ref":"#/components/schemas/salesorders_adresses"},"billto":{"minLength":2,"maxLength":20,"example":"247ITG"},"billto_address":{"$ref":"#/components/schemas/salesorders_adresses"},"shipto":{"minLength":2,"maxLength":20,"example":"247ITG"},"shipto_address":{"$ref":"#/components/schemas/salesorders_adresses"},"shipvia":{"minLength":2,"maxLength":20,"example":"247ITG"},"shipvia_address":{"$ref":"#/components/schemas/salesorders_adresses"},"shipfrom":{"minLength":2,"maxLength":20,"example":"247ITG"},"shipfrom_address":{"$ref":"#/components/schemas/salesorders_adresses"},"status_completed":{"readOnly":true,"example":"INITIAL"},"status_open":{"readOnly":true,"example":"VALIDATE"},"status_history":{"items":{"$ref":"#/components/schemas/salesorders_statushistory"}},"picklist":{"example":"100011"}},"required":["code","sellfrom","sellfrom_address","sellto","sellto_address","billto","billto_address","shipto","shipto_address","shipvia","shipvia_address","shipfrom","shipfrom_address"]},"salesorders_adresses":{"type":"object","properties":{"company":{"example":"247 IT Group B.V."},"building":{"example":"The Lobby Offices"},"street":{"example":"Reitscheweg"},"houseno":{"example":"1"},"housenoext":{"example":"2nd floor"},"zipcode":{"example":"5232BX"},"city":{"example":"Den Bosch"},"state":{"example":"NB"},"country":{"example":"NL"},"name":{"example":"Coen de Kok"}},"required":["street","houseno","zipcode","city","country","name"]},"salesorders_statushistory":{"type":"object","properties":{"code":{"readOnly":true,"example":"INITIAL"},"started":{"readOnly":true,"example":"2024-01-16T16:32:05.577"},"completed":{"readOnly":true,"example":"2024-01-16T16:32:05.583"},"user":{"readOnly":true,"example":"coendekok@247wms.com"}}},"contacts":{"type":"object","properties":{"number":{"readOnly":true,"example":"1001"},"first_name":{"example":"Michael"},"middle_name":{"example":"de"},"last_name":{"example":"Corte"},"street":{"example":"Reitscheweg"},"houseno":{"example":"1"},"housenoext":{"example":"A"},"zipcode":{"example":"5232BX"},"city":{"example":"Den Bosch"},"state":{"example":"NB"},"country":{"example":"NL"},"language":{"example":"EN"},"email":{"example":"michaeldecorte@247itgroup.com"},"phone":{"example":"+31854017128"},"mobile":{"example":"+31612345678"},"department":{"example":"247ITG"},"company":{"readOnly":true,"example":"247ITG"},"user":{"readOnly":true,"example":"michaeldecorte@247itgroup.com"}},"required":["first_name","last_name","department"]},"view":{"type":"object","properties":{"buildquery_execution_time":{"type":"integer","readOnly":true,"example":3},"database_execution_time":{"type":"integer","readOnly":true,"example":25}}},"list":{"type":"object","properties":{"buildquery_execution_time":{"type":"integer","readOnly":true,"example":3},"database_execution_time":{"type":"integer","readOnly":true,"example":25},"total_records":{"type":"integer","readOnly":true,"example":2086},"from_records":{"type":"integer","readOnly":true,"example":1},"to_records":{"type":"integer","readOnly":true,"example":20},"per_page":{"type":"integer","readOnly":true,"example":20},"total_pages":{"type":"integer","readOnly":true,"example":105},"current_page":{"type":"integer","readOnly":true,"example":1},"last_page":{"type":"integer","readOnly":true,"example":105},"next_page_url":{"type":"string","readOnly":true,"example":"https://test.prod01.247api.net/v101/endpoint?page=2"},"prev_page_url":{"type":"string","readOnly":true,"example":""}}}},"requestBodies":{"articles":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/articles"}}}},"article_categories":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/article_categories"}}}},"article_aliases":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/article_aliases"}}}},"article_measures":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/article_measures"}}}},"article_assortments":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/article_assortments"}}}},"article_codes":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/article_codes"}}}},"salesorders":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/salesorders"}}}},"salesorders_adresses":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/salesorders_adresses"}}}},"salesorders_statushistory":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/salesorders_statushistory"}}}},"contacts":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/contacts"}}}}}}}